Bug 20051 - Invalid markup in staff client's header.inc
Summary: Invalid markup in staff client's header.inc
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 19851
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-19 19:38 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20051: Invalid markup in staff client's header.inc (3.47 KB, patch)
2018-01-19 19:53 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20051: Invalid markup in staff client's header.inc (3.53 KB, patch)
2018-01-19 21:59 UTC, Charles Farmer
Details | Diff | Splinter Review
Bug 20051: Invalid markup in staff client's header.inc (3.58 KB, patch)
2018-01-26 19:55 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 20051: Invalid markup in staff client's header.inc (4.55 KB, patch)
2018-01-31 13:07 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-01-19 19:38:05 UTC
Bug 19851 contains a markup error: 4 instances of ids which should be a classes. This creates a validation error for duplicate ids.
Comment 1 Owen Leonard 2018-01-19 19:53:53 UTC
Created attachment 70777 [details] [review]
Bug 20051: Invalid markup in staff client's header.inc

This patch corrects markup errors in header.inc which introduced by
Bug 19851. For id attributes on <span>s have been replaced with classes,
eliminating an HTML validator error about duplicate ids.

Minor unrelated change: Updated an element's id with a more descriptive
name.

Test plan the same as Bug 19851's:

 - Log in to the staff client and confirm that the appearance of the
   menu bar at the top of the screen looks correct at various browser
   widths.
 - Confirm that the logged-in user menu label and help link expand and
   collapse according to browser width.
Comment 2 Charles Farmer 2018-01-19 21:59:39 UTC
Created attachment 70783 [details] [review]
Bug 20051: Invalid markup in staff client's header.inc

This patch corrects markup errors in header.inc which introduced by
Bug 19851. For id attributes on <span>s have been replaced with classes,
eliminating an HTML validator error about duplicate ids.

Minor unrelated change: Updated an element's id with a more descriptive
name.

Test plan the same as Bug 19851's:

 - Log in to the staff client and confirm that the appearance of the
   menu bar at the top of the screen looks correct at various browser
   widths.
 - Confirm that the logged-in user menu label and help link expand and
   collapse according to browser width.

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>
Comment 3 Nick Clemens 2018-01-26 19:55:38 UTC
Created attachment 70973 [details] [review]
Bug 20051: Invalid markup in staff client's header.inc

This patch corrects markup errors in header.inc which introduced by
Bug 19851. For id attributes on <span>s have been replaced with classes,
eliminating an HTML validator error about duplicate ids.

Minor unrelated change: Updated an element's id with a more descriptive
name.

Test plan the same as Bug 19851's:

 - Log in to the staff client and confirm that the appearance of the
   menu bar at the top of the screen looks correct at various browser
   widths.
 - Confirm that the logged-in user menu label and help link expand and
   collapse according to browser width.

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2018-01-30 17:15:00 UTC
git grep tells me we are going to affect that line:

koha-tmpl/intranet-tmpl/prog/en/modules/circ/offline.tt:            $('ul[aria-labelledby="drop3"]').html('<li><a class="toplinks">You cannot change your branch or logout while using offline circulation</a></li>');
Comment 5 Owen Leonard 2018-01-31 13:07:53 UTC
Created attachment 71086 [details] [review]
Bug 20051: Invalid markup in staff client's header.inc

This patch corrects markup errors in header.inc which introduced by
Bug 19851. For id attributes on <span>s have been replaced with classes,
eliminating an HTML validator error about duplicate ids.

Minor unrelated change: Updated an element's id with a more descriptive
name.

Test plan the same as Bug 19851's:

 - Log in to the staff client and confirm that the appearance of the
   menu bar at the top of the screen looks correct at various browser
   widths.
 - Confirm that the logged-in user menu label and help link expand and
   collapse according to browser width.

Signed-off-by: Charles Farmer <charles.farmer@inLibro.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>

Fix for QA: Corrected ID reference in circ/offline.tt
Comment 6 Jonathan Druart 2018-02-02 15:11:37 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-02-16 02:27:19 UTC
Awesome work all, pushed to stable for 17.11.03